<?php
require_once(getabspath("classes/cipherer.php"));




$tdatastatus = array();
	$tdatastatus[".truncateText"] = true;
	$tdatastatus[".NumberOfChars"] = 80;
	$tdatastatus[".ShortName"] = "status";
	$tdatastatus[".OwnerID"] = "";
	$tdatastatus[".OriginalTable"] = "status";

//	field labels
$fieldLabelsstatus = array();
$fieldToolTipsstatus = array();
$pageTitlesstatus = array();
$placeHoldersstatus = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatus["English"] = array();
	$fieldToolTipsstatus["English"] = array();
	$placeHoldersstatus["English"] = array();
	$pageTitlesstatus["English"] = array();
	$fieldLabelsstatus["English"]["status_id"] = "Status Id";
	$fieldToolTipsstatus["English"]["status_id"] = "";
	$placeHoldersstatus["English"]["status_id"] = "";
	$fieldLabelsstatus["English"]["status_type"] = "Type";
	$fieldToolTipsstatus["English"]["status_type"] = "";
	$placeHoldersstatus["English"]["status_type"] = "";
	$fieldLabelsstatus["English"]["status_title_ar"] = "Title Ar";
	$fieldToolTipsstatus["English"]["status_title_ar"] = "";
	$placeHoldersstatus["English"]["status_title_ar"] = "";
	$fieldLabelsstatus["English"]["status_title_en"] = "Title En";
	$fieldToolTipsstatus["English"]["status_title_en"] = "";
	$placeHoldersstatus["English"]["status_title_en"] = "";
	if (count($fieldToolTipsstatus["English"]))
		$tdatastatus[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatus["Arabic"] = array();
	$fieldToolTipsstatus["Arabic"] = array();
	$placeHoldersstatus["Arabic"] = array();
	$pageTitlesstatus["Arabic"] = array();
	$fieldLabelsstatus["Arabic"]["status_id"] = "التسلسل";
	$fieldToolTipsstatus["Arabic"]["status_id"] = "";
	$placeHoldersstatus["Arabic"]["status_id"] = "";
	$fieldLabelsstatus["Arabic"]["status_type"] = "القسم";
	$fieldToolTipsstatus["Arabic"]["status_type"] = "";
	$placeHoldersstatus["Arabic"]["status_type"] = "";
	$fieldLabelsstatus["Arabic"]["status_title_ar"] = "العنوان بالعربي";
	$fieldToolTipsstatus["Arabic"]["status_title_ar"] = "";
	$placeHoldersstatus["Arabic"]["status_title_ar"] = "";
	$fieldLabelsstatus["Arabic"]["status_title_en"] = "العنوان بالانجليزي";
	$fieldToolTipsstatus["Arabic"]["status_title_en"] = "";
	$placeHoldersstatus["Arabic"]["status_title_en"] = "";
	if (count($fieldToolTipsstatus["Arabic"]))
		$tdatastatus[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="")
{
	$fieldLabelsstatus[""] = array();
	$fieldToolTipsstatus[""] = array();
	$placeHoldersstatus[""] = array();
	$pageTitlesstatus[""] = array();
	if (count($fieldToolTipsstatus[""]))
		$tdatastatus[".isUseToolTips"] = true;
}


	$tdatastatus[".NCSearch"] = true;



$tdatastatus[".shortTableName"] = "status";
$tdatastatus[".nSecOptions"] = 0;
$tdatastatus[".recsPerRowPrint"] = 1;
$tdatastatus[".mainTableOwnerID"] = "";
$tdatastatus[".moveNext"] = 1;
$tdatastatus[".entityType"] = 0;

$tdatastatus[".strOriginalTableName"] = "status";

	



$tdatastatus[".showAddInPopup"] = true;

$tdatastatus[".showEditInPopup"] = true;

$tdatastatus[".showViewInPopup"] = true;

//page's base css files names
$popupPagesLayoutNames = array();
						
	;
$popupPagesLayoutNames["add"] = "add_bootstrap";
						
	;
$popupPagesLayoutNames["edit"] = "edit_bootstrap_2col";
						
	;
$popupPagesLayoutNames["view"] = "view_bootstrap_2col";
$tdatastatus[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatus[".fieldsForRegister"] = array();

$tdatastatus[".listAjax"] = false;

	$tdatastatus[".audit"] = false;

	$tdatastatus[".locking"] = false;

$tdatastatus[".edit"] = true;
$tdatastatus[".afterEditAction"] = 1;
$tdatastatus[".closePopupAfterEdit"] = 1;
$tdatastatus[".afterEditActionDetTable"] = "";

$tdatastatus[".add"] = true;
$tdatastatus[".afterAddAction"] = 1;
$tdatastatus[".closePopupAfterAdd"] = 1;
$tdatastatus[".afterAddActionDetTable"] = "";

$tdatastatus[".list"] = true;



$tdatastatus[".reorderRecordsByHeader"] = true;


$tdatastatus[".exportFormatting"] = 2;
$tdatastatus[".exportDelimiter"] = ",";
		
$tdatastatus[".view"] = true;

$tdatastatus[".import"] = true;

$tdatastatus[".exportTo"] = true;

$tdatastatus[".printFriendly"] = true;

$tdatastatus[".delete"] = true;

$tdatastatus[".showSimpleSearchOptions"] = false;

// Allow Show/Hide Fields in GRID
$tdatastatus[".allowShowHideFields"] = false;
//

// Allow Fields Reordering in GRID
$tdatastatus[".allowFieldsReordering"] = false;
//

// search Saving settings
$tdatastatus[".searchSaving"] = false;
//

$tdatastatus[".showSearchPanel"] = true;
		$tdatastatus[".flexibleSearch"] = true;

$tdatastatus[".isUseAjaxSuggest"] = true;

$tdatastatus[".rowHighlite"] = true;





$tdatastatus[".ajaxCodeSnippetAdded"] = false;

$tdatastatus[".buttonsAdded"] = false;

$tdatastatus[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatus[".isUseTimeForSearch"] = false;





$tdatastatus[".allSearchFields"] = array();
$tdatastatus[".filterFields"] = array();
$tdatastatus[".requiredSearchFields"] = array();

$tdatastatus[".allSearchFields"][] = "status_id";
	$tdatastatus[".allSearchFields"][] = "status_type";
	$tdatastatus[".allSearchFields"][] = "status_title_ar";
	$tdatastatus[".allSearchFields"][] = "status_title_en";
	

$tdatastatus[".googleLikeFields"] = array();
$tdatastatus[".googleLikeFields"][] = "status_id";
$tdatastatus[".googleLikeFields"][] = "status_type";
$tdatastatus[".googleLikeFields"][] = "status_title_ar";
$tdatastatus[".googleLikeFields"][] = "status_title_en";


$tdatastatus[".advSearchFields"] = array();
$tdatastatus[".advSearchFields"][] = "status_id";
$tdatastatus[".advSearchFields"][] = "status_type";
$tdatastatus[".advSearchFields"][] = "status_title_ar";
$tdatastatus[".advSearchFields"][] = "status_title_en";

$tdatastatus[".tableType"] = "list";

$tdatastatus[".printerPageOrientation"] = 0;
$tdatastatus[".nPrinterPageScale"] = 100;

$tdatastatus[".nPrinterSplitRecords"] = 40;

$tdatastatus[".nPrinterPDFSplitRecords"] = 40;



$tdatastatus[".geocodingEnabled"] = false;





$tdatastatus[".listGridLayout"] = 3;





// view page pdf

// print page pdf


$tdatastatus[".pageSize"] = 20;

$tdatastatus[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatus[".strOrderBy"] = $tstrOrderBy;

$tdatastatus[".orderindexes"] = array();

$tdatastatus[".sqlHead"] = "SELECT status_id,  	status_type,  	status_title_ar,  	status_title_en";
$tdatastatus[".sqlFrom"] = "FROM status";
$tdatastatus[".sqlWhereExpr"] = "";
$tdatastatus[".sqlTail"] = "";












//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatus[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatus[".arrGroupsPerPage"] = $arrGPP;

$tdatastatus[".highlightSearchResults"] = true;

$tableKeysstatus = array();
$tableKeysstatus[] = "status_id";
$tdatastatus[".Keys"] = $tableKeysstatus;

$tdatastatus[".listFields"] = array();
$tdatastatus[".listFields"][] = "status_id";
$tdatastatus[".listFields"][] = "status_type";
$tdatastatus[".listFields"][] = "status_title_ar";
$tdatastatus[".listFields"][] = "status_title_en";

$tdatastatus[".hideMobileList"] = array();


$tdatastatus[".viewFields"] = array();
$tdatastatus[".viewFields"][] = "status_id";
$tdatastatus[".viewFields"][] = "status_type";
$tdatastatus[".viewFields"][] = "status_title_ar";
$tdatastatus[".viewFields"][] = "status_title_en";

$tdatastatus[".addFields"] = array();
$tdatastatus[".addFields"][] = "status_type";
$tdatastatus[".addFields"][] = "status_title_ar";
$tdatastatus[".addFields"][] = "status_title_en";

$tdatastatus[".masterListFields"] = array();
$tdatastatus[".masterListFields"][] = "status_id";
$tdatastatus[".masterListFields"][] = "status_type";
$tdatastatus[".masterListFields"][] = "status_title_ar";
$tdatastatus[".masterListFields"][] = "status_title_en";

$tdatastatus[".inlineAddFields"] = array();

$tdatastatus[".editFields"] = array();
$tdatastatus[".editFields"][] = "status_type";
$tdatastatus[".editFields"][] = "status_title_ar";
$tdatastatus[".editFields"][] = "status_title_en";

$tdatastatus[".inlineEditFields"] = array();

$tdatastatus[".updateSelectedFields"] = array();
$tdatastatus[".updateSelectedFields"][] = "status_type";
$tdatastatus[".updateSelectedFields"][] = "status_title_ar";
$tdatastatus[".updateSelectedFields"][] = "status_title_en";


$tdatastatus[".exportFields"] = array();
$tdatastatus[".exportFields"][] = "status_id";
$tdatastatus[".exportFields"][] = "status_type";
$tdatastatus[".exportFields"][] = "status_title_ar";
$tdatastatus[".exportFields"][] = "status_title_en";

$tdatastatus[".importFields"] = array();
$tdatastatus[".importFields"][] = "status_id";
$tdatastatus[".importFields"][] = "status_type";
$tdatastatus[".importFields"][] = "status_title_ar";
$tdatastatus[".importFields"][] = "status_title_en";

$tdatastatus[".printFields"] = array();
$tdatastatus[".printFields"][] = "status_id";
$tdatastatus[".printFields"][] = "status_type";
$tdatastatus[".printFields"][] = "status_title_ar";
$tdatastatus[".printFields"][] = "status_title_en";


//	status_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "status_id";
	$fdata["GoodName"] = "status_id";
	$fdata["ownerTable"] = "status";
	$fdata["Label"] = GetFieldLabel("status","status_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			
		$fdata["bListPage"] = true;

	
	
	
	
	

		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "status_id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status_id";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


		$edata["IsRequired"] = true;

	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdatastatus["status_id"] = $fdata;
//	status_type
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "status_type";
	$fdata["GoodName"] = "status_type";
	$fdata["ownerTable"] = "status";
	$fdata["Label"] = GetFieldLabel("status","status_type");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

	
		$fdata["bEditPage"] = true;

	
		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "status_type";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status_type";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdatastatus["status_type"] = $fdata;
//	status_title_ar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "status_title_ar";
	$fdata["GoodName"] = "status_title_ar";
	$fdata["ownerTable"] = "status";
	$fdata["Label"] = GetFieldLabel("status","status_title_ar");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

	
		$fdata["bEditPage"] = true;

	
		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "status_title_ar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status_title_ar";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdatastatus["status_title_ar"] = $fdata;
//	status_title_en
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "status_title_en";
	$fdata["GoodName"] = "status_title_en";
	$fdata["ownerTable"] = "status";
	$fdata["Label"] = GetFieldLabel("status","status_title_en");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

	
		$fdata["bEditPage"] = true;

	
		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "status_title_en";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status_title_en";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdatastatus["status_title_en"] = $fdata;


$tables_data["status"]=&$tdatastatus;
$field_labels["status"] = &$fieldLabelsstatus;
$fieldToolTips["status"] = &$fieldToolTipsstatus;
$placeHolders["status"] = &$placeHoldersstatus;
$page_titles["status"] = &$pageTitlesstatus;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["status"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["status"] = array();


// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_status()
{
$proto3=array();
$proto3["m_strHead"] = "SELECT";
$proto3["m_strFieldList"] = "status_id,  	status_type,  	status_title_ar,  	status_title_en";
$proto3["m_strFrom"] = "FROM status";
$proto3["m_strWhere"] = "";
$proto3["m_strOrderBy"] = "";
	
		;
			$proto3["cipherer"] = null;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto3["m_where"] = $obj;
$proto7=array();
$proto7["m_sql"] = "";
$proto7["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto7["m_column"]=$obj;
$proto7["m_contained"] = array();
$proto7["m_strCase"] = "";
$proto7["m_havingmode"] = false;
$proto7["m_inBrackets"] = false;
$proto7["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto7);

$proto3["m_having"] = $obj;
$proto3["m_fieldlist"] = array();
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "status_id",
	"m_strTable" => "status",
	"m_srcTableName" => "status"
));

$proto9["m_sql"] = "status_id";
$proto9["m_srcTableName"] = "status";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto3["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "status_type",
	"m_strTable" => "status",
	"m_srcTableName" => "status"
));

$proto11["m_sql"] = "status_type";
$proto11["m_srcTableName"] = "status";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto3["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "status_title_ar",
	"m_strTable" => "status",
	"m_srcTableName" => "status"
));

$proto13["m_sql"] = "status_title_ar";
$proto13["m_srcTableName"] = "status";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto3["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "status_title_en",
	"m_strTable" => "status",
	"m_srcTableName" => "status"
));

$proto15["m_sql"] = "status_title_en";
$proto15["m_srcTableName"] = "status";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto3["m_fieldlist"][]=$obj;
$proto3["m_fromlist"] = array();
												$proto17=array();
$proto17["m_link"] = "SQLL_MAIN";
			$proto18=array();
$proto18["m_strName"] = "status";
$proto18["m_srcTableName"] = "status";
$proto18["m_columns"] = array();
$proto18["m_columns"][] = "status_id";
$proto18["m_columns"][] = "status_type";
$proto18["m_columns"][] = "status_title_ar";
$proto18["m_columns"][] = "status_title_en";
$obj = new SQLTable($proto18);

$proto17["m_table"] = $obj;
$proto17["m_sql"] = "status";
$proto17["m_alias"] = "";
$proto17["m_srcTableName"] = "status";
$proto19=array();
$proto19["m_sql"] = "";
$proto19["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto19["m_column"]=$obj;
$proto19["m_contained"] = array();
$proto19["m_strCase"] = "";
$proto19["m_havingmode"] = false;
$proto19["m_inBrackets"] = false;
$proto19["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto19);

$proto17["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto17);

$proto3["m_fromlist"][]=$obj;
$proto3["m_groupby"] = array();
$proto3["m_orderby"] = array();
$proto3["m_srcTableName"]="status";		
$obj = new SQLQuery($proto3);

	return $obj;
}
$queryData_status = createSqlQuery_status();


	
		;

				

$tdatastatus[".sqlquery"] = $queryData_status;

$tableEvents["status"] = new eventsBase;
$tdatastatus[".hasEvents"] = false;

?>